summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optimizations/variables
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optimizations/variables')
-rwxr-xr-xtests/shell/testcases/optimizations/variables15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/shell/testcases/optimizations/variables b/tests/shell/testcases/optimizations/variables
new file mode 100755
index 00000000..fa986065
--- /dev/null
+++ b/tests/shell/testcases/optimizations/variables
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+RULESET="define addrv4_vpnnet = 10.1.0.0/16
+
+table ip nat {
+ chain postrouting {
+ type nat hook postrouting priority 0; policy accept;
+
+ ip saddr \$addrv4_vpnnet counter masquerade fully-random comment \"masquerade ipv4\"
+ }
+}"
+
+$NFT -c -o -f - <<< $RULESET